"""ProjectDetail Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import ProjectDetailSyncNode
from schemas.project_extensions.project_detail import ProjectDetailProject


class ProjectDetailJsonlHandler(BaseJsonlHandler):
    """项目容量信息 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "project_detail_data", ProjectDetailSyncNode, ProjectDetailProject)
